from Levenshtein import distance
from typing import List

def process_file(filename: str) -> List[str]:
    # Wczytaj plik
    with open(filename, 'r', encoding='utf-8') as file:
        lines = [line.strip() for line in file if line.strip()]
    
    sorted_lines = []
    current_line = lines[0]
    
    while lines:
        # Dodaj aktualną linijkę do posortowanych
        sorted_lines.append(current_line)
        # Usuń ją z oryginalnej listy
        lines.remove(current_line)
        
        if not lines:
            break
            
        # Znajdź najbardziej podobną linijkę
        min_distance = float('inf')
        most_similar = None
        
        for line in lines:
            dist = distance(current_line, line)
            if dist < min_distance:
                min_distance = dist
                most_similar = line
        
        current_line = most_similar
    
    return sorted_lines

# Przykład użycia:
if __name__ == "__main__":
    result = process_file("pan_tadeusz_znormalizowany.txt")
    # Opcjonalnie: zapisz wynik do pliku
    with open("pan_tadeusz_posortowany_levenshteinem.txt", "w", encoding='utf-8') as f:
        f.write("\n".join(result))
