import os
import re

def convert_line_to_html(line):
    # Replace [text] with <span class="highlight">text</span>
    return re.sub(r'\[(.*?)\]', r'<span class="highlight">\1</span>', line)

def convert_to_html(input_file):
    base_name = os.path.splitext(input_file)[0]
    output_file = f"{base_name}.html"
    
    with open(input_file, 'r', encoding='utf-8') as f:
        lines = f.readlines()
    
    # Process each line
    html_lines = [convert_line_to_html(line.strip()) for line in lines]
    html_content = '<br>\n'.join(html_lines)
    
    html = f'''<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{base_name}</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="poem">
        {html_content}
    </div>
</body>
</html>'''
    
    with open(output_file, 'w', encoding='utf-8') as f:
        f.write(html)

if __name__ == '__main__':
    import sys
    if len(sys.argv) != 2:
        print("Usage: python script.py input.txt")
        sys.exit(1)
    convert_to_html(sys.argv[1])
